git: 852d975ccfee - main - bsdinstall services: Replace dialog with bsddialog

From: Alfonso S. Siciliano <asiciliano_at_FreeBSD.org>
Date: Fri, 25 Mar 2022 23:22:39 UTC
The branch main has been updated by asiciliano:

URL: https://cgit.FreeBSD.org/src/commit/?id=852d975ccfeef053d81fdf1ab051f7c4cfc07613

commit 852d975ccfeef053d81fdf1ab051f7c4cfc07613
Author:     Alfonso S. Siciliano <asiciliano@FreeBSD.org>
AuthorDate: 2022-03-25 23:19:36 +0000
Commit:     Alfonso S. Siciliano <asiciliano@FreeBSD.org>
CommitDate: 2022-03-25 23:22:10 +0000

    bsdinstall services: Replace dialog with bsddialog
    
    Replace (LGPL) dialog utility with (BSD-2-Clause) bsddialog utility.
    
    Approved by:            bapt (mentor)
    Differential Revision:  https://reviews.freebsd.org/D34640
---
 usr.sbin/bsdinstall/scripts/services | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/usr.sbin/bsdinstall/scripts/services b/usr.sbin/bsdinstall/scripts/services
index c59628b2a88c..f9141a523a31 100755
--- a/usr.sbin/bsdinstall/scripts/services
+++ b/usr.sbin/bsdinstall/scripts/services
@@ -26,7 +26,7 @@
 #
 # $FreeBSD$
 
-: ${DIALOG_OK=0}
+: ${BSDDIALOG_OK=0}
 
 if [ -f $BSDINSTALL_TMPETC/rc.conf.services ]; then
 	eval $( sed -e s/YES/on/i -e s/NO/off/i \
@@ -39,8 +39,8 @@ fi
 echo -n > $BSDINSTALL_TMPETC/rc.conf.services
 
 exec 3>&1
-DAEMONS=$( dialog --backtitle "FreeBSD Installer" \
-    --title "System Configuration" --nocancel --separate-output \
+DAEMONS=$( bsddialog --backtitle "FreeBSD Installer" \
+    --title "System Configuration" --no-cancel --separate-output \
     --checklist "Choose the services you would like to be started at boot:" \
     0 0 0 \
 	local_unbound "Local caching validating resolver" ${local_unbound:-off} \
@@ -53,8 +53,13 @@ DAEMONS=$( dialog --backtitle "FreeBSD Installer" \
 		${powerd_enable:-off} \
 	dumpdev "Enable kernel crash dumps to /var/crash" ${dumpdev:-on} \
 2>&1 1>&3 )
+retval=$?
 exec 3>&-
 
+if [ $retval -ne $BSDDIALOG_OK ]; then
+	exit 1
+fi
+
 havedump=
 for daemon in $DAEMONS; do
 	[ "$daemon" = "dumpdev" ] && havedump=1 continue